/* Google Fonts */

@import url('https://fonts.googleapis.com/css2?family=Lato:wght@300;400;700;900&display=swap');

/* Variables */

:root {
  --bg-main: #fff; 
  --bg-accent: #ffcf00;
  --bg-info: #fff2bb;
  --bg-error: #ffc0c3;
  --color-main: #333;
  --color-valid: #33881b;
  --color-invalid: #e3000b;
  --font-main: 'Lato';
}

/* General reset */

* {
  box-sizing: border-box;
}

a, abbr, acronym, address, applet, article, aside, audio, b, big, blockquote, body, canvas, caption, center, cite, code, dd, del, details, dfn, div, dl, dt, em, embed, fieldset, figcaption, figure, footer, form, h1, h2, h3, h4, h5, h6, header, hgroup, hr, html, i, iframe, img, ins, kbd, label, legend, li, mark, menu, nav, object, ol, output, p, pre, q, ruby, s, samp, section, small, span, strike, strong, sub, summary, sup, table, tbody, td, tfoot, th, thead, time, tr, tt, u, ul, var, video {
  margin: 0;
  padding: 0;
  border: 0;
  font: inherit;
  vertical-align: initial;
}

/* General styles */

body {
  background-color: var(--bg-main);
  color: var(--color-main);
  font-family: var(--font-main);
}

h1 {
  font-size: 42px;
  font-weight: 700;
}

h2 {
  font-size: 32px;
}

h3 {
  font-size: 20px;
  font-weight: 600;
}

h4 {
  font-size: 18px;
  font-weight: 600;
}

a {
  color: inherit;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

input[type="text"],
input[type="password"],
input[type="mail"],
input[type="number"] {
  border-radius: 0;
  border: 1px solid var(--color-main);
  font-family: var(--font-main);
  height: 32px;
  padding: 18px 10px;
  width: 100%;
}

input[type="submit"] {
  background-color: transparent;
  border: 2px solid var(--color-main);
  display: inline-block;
  font-family: var(--font-main);
  padding: 8px 12px;
}

input[type="submit"]:hover {
  cursor: pointer;
  text-decoration: underline;
}

.box {
  border: 1px solid rgba(0, 0, 0, .2);
  display: inline-block;
  margin: 16px 0;
  padding: 16px;
}

.box.info {
  background: var(--bg-info);
}

.box.error {
  background: var(--bg-error);
}

strong {
  font-weight: 600;
}

/* Nav styles */

nav {
  background-color: var(--bg-accent);
  display: flex;
  height: 64px;
  padding: 8px 16px;
}

nav img {
  margin-right: 8px;
}

nav a {
  align-self: center;
  font-size: 14px;
  font-weight: bold;
  letter-spacing: -.2px;
  padding: 0 8px;
  text-transform: uppercase;
}

nav a:after {
  content: '';
  background: transparent; 
  display:block;
  height: 1px;
}

nav a:hover {
  text-decoration: none;
}

nav a:hover:after {
  background: var(--color-main); 
}

nav a.account {
  margin-left: auto;
}

nav a img {
  vertical-align: top;
  width: 16px;
}

/* Home styles */

#home .banner {
  background-color: var(--bg-accent);
  display: flex;
  flex-direction: column;
  justify-content: center;
  min-height: 50vh;
  padding: 0 32px;
}

#home .banner h2 {
  margin-bottom: 32px;
}

#home .banner a {
  background-color: var(--color-main);
  color: #fff;
  font-size: 18px;
  padding: 16px;
}

#home .brief {
  display: flex;
  margin: 32px 16px;
  padding: 16px;
}

#home .brief-image {
  align-self: center;
  flex: 1;
  text-align: center;
  padding: 0 32px;
}

#home .brief-text {
  flex: 1;
  align-self: center;
}

#home .brief-image img {
  max-width: 100%;
}

#home .brief-text h3 {
  margin-bottom: 8px;
}

#home .brief-text p {
  margin-bottom: 8px;
}

#home .brief-text a {
  border: 2px solid var(--color-main);
  display: inline-block;
  padding: 8px 12px;
}

/* Store styles */

#store {
  display: flex;
  margin: 64px 32px;
}

#store form {
  align-self: flex-start;
  min-width: 256px;
  padding-right: 16px;
  position: sticky;
  top: 16px;
}

#store form h4 {
  margin-bottom: 8px;
}

#store form h4:not(:first-child) {
  margin-top: 20px;
}

#store input[type="submit"] {
  margin-top: 20px;
}

#store .products {
  display: grid;
  flex-grow: 1;
  grid-template-columns: repeat(auto-fit, minmax(256px, 1fr));
}

#store .card {
  border: 2px solid transparent;
  padding: 32px;
  position: relative;
}

#store .card:hover {
  border-color: var(--color-main);
}

#store .card a::after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

#store .card-category {
  background: var(--bg-accent);
  display: inline-block;
  font-size: 13px;
  font-weight: 600;
  margin-top: 16px;
  padding: 4px 8px;
}

#store .card-image {
  height: 180px;
  text-align: center;
}

#store .card-image img {
  max-width: 100%;
  max-height: 100%;
}

#store .card-title {
  margin-top: 8px;
  font-weight: 600;
  font-size: 20px;
}

#store .card-price {
  margin-top: 8px;
  font-size: 28px;
  font-weight: 200;
}

/* Product styles */

#product > div {
  display: flex;
  margin: 32px;
}

#product h2 {
  margin: 32px 0 16px;
}

#product h3 {
  font-size: 22px;
  font-weight: 300;
  margin: 16px 0 8px;
}

#product ul {
  margin: 16px 0 0 16px;
}

#product li {
  margin-top: 8px;
}

#product .product-images {
  flex: 1;
  text-align: center;
  padding: 32px;
}

#product .product-images img {
  max-width: 100%;
  max-height: 400px;
}

#product .product-miniatures {
  align-items: center;
  display: flex;
}

#product .product-miniatures div {
  align-items: center;
  align-self: stretch;
  border: 3px solid transparent;
  display: flex;
  flex: 1;
  margin: 8px;
}

#product .product-miniatures div:hover {
  cursor: pointer;
  border: 3px solid var(--color-main);
}

#product .product-miniatures img {
  padding: 8px;
}

#product .product-infos {
  flex: 1;
  padding-top: 32px;
}

#product .product-infos .product-category {
  background-color: var(--bg-accent);
  display: inline-block;
  font-size: 18px;
  font-weight: 600;
  margin-bottom: 12px;
  padding: 8px 12px;
}

#product .product-infos .product-price {
  font-size: 40px;
  font-weight: 300;
  margin: 16px 0;
}

#product .product-infos input {
  border: 2px solid var(--color-main);
  display: block;
  font-size: 16px;
  margin-top: 16px;
  padding: 8px 12px;
}

#product .product-infos button {
  background-color: #fff;
  border: 2px solid var(--color-main);
  color: var(--color-main);
  font-family: var(--font-main);
  font-size: 20px;
  padding: 2px 8px;
}

#product .product-infos button:hover {
  cursor: pointer;
}

#product .product-spec {
  flex: 3;
  padding: 0 32px;
  text-align: justify;
}

#product .product-comments {
  background-color: #eee;
  flex: 2;
  padding: 0 32px 32px;
  align-self: flex-start;
}

#product .product-comments form {
  margin-top: 16px;
}

#product .product-comment p:not(.product-comment-author) {
  border-bottom: 1px solid rgba(0, 0, 0, .2);
  font-style: italic;
  margin-bottom: 16px;
  padding-bottom: 16px;
}

#product .product-comment-author {
  font-size: 18px;
  margin-bottom: 8px;
}

/* Account styles */

#account {
  display: flex;
  margin: 32px;
}

#account p {
  font-size: 14px;
  font-weight: 600;
  margin-bottom: 8px;
  margin-top: 20px;
}

#account h2 {
  font-size: 32px;
  font-weight: 600;
  margin-bottom: 8px;
}

#account h3 {
  font-size: 20px;
  margin-bottom: 24px;
}

#account p.valid {
  color: var(--color-valid);
}

#account input.valid {
  border-color: var(--color-valid);
}

#account p.invalid {
  color: var(--color-invalid);
}

#account input.invalid {
  border-color: var(--color-invalid);
}

#account input[type="submit"] {
  margin-top: 24px;
}

#account .account-login {
  align-self: flex-start;
  background-color: #eee;
  flex: 1;
  padding: 64px;
}

#account .account-signin {
  flex: 2;
  padding: 64px;
}

#info{
  margin: 32px;
}

#info p {
  font-size: 14px;
  font-weight: 600;
  margin-bottom: 8px;
  display: flex;
}

#info h2 {
  font-size: 32px;
  font-weight: 600;
}

#info h3 {
  font-size: 20px;
}

#info .account-update{
  padding: 32px;
}

#info input[type = "text"]{
  width: 300px;
}

#info span{
  width: 200px;
}

#info p.valid {
  color: var(--color-valid);
}

#info input.valid {
  border-color: var(--color-valid);
}

#info p.invalid {
  color: var(--color-invalid);
}

#info input.invalid {
  border-color: var(--color-invalid);
}

#cart .product {
  display: flex;
  padding: 32px;
}

#cart .product img {
  max-width: 100%;
  max-height: 100px;
}

#cart .product-infos{
  margin: 10px;
}

#cart .product-infos .product-category {
  background-color: var(--bg-accent);
  display: inline-block;
  font-size: 18px;
  font-weight: 600;
  margin-bottom: 12px;
  padding: 8px 12px;
}

#cart .product-infos .product-price {
  font-size: 40px;
  font-weight: 300;
  margin: 4px 0;
}

#cart .product-infos button {
  background-color: #fff;
  border: 2px solid var(--color-main);
  color: var(--color-main);
  font-family: var(--font-main);
  font-size: 20px;
  padding: 2px 8px;
  margin: 4px;
}

#cart .product-infos button:hover {
  cursor: pointer;
}

#cart .total {
  display: flex;
  text-align: center;
}

#cart .total .product-price {
  font-weight: 300;
  margin: 10px 0;
}

/* Error styles */

#error {
  margin: 64px 32px;
}

#error h1 {
  margin-bottom: 16px;
}

#error p {
  font-size: 20px;
  margin-bottom: 32px;
}

#error a {
  border: 2px solid var(--color-main);
  display: inline-block;
  padding: 8px 12px;
}

/* Footer styles */

footer {
  border-top: 1px solid rgba(0, 0, 0, .2);
  margin: 64px 32px 0;
  padding: 32px 0;
  text-align: right;
}

footer strong {
  font-weight: 600;
}